import { getElementId, randomCode, deepCopy } from "../../plugins/utils";

const MODEL = {
  type: "PANE",
  x: 0,
  y: 0,
  w: 200,
  h: 200,
  sign: "",
  bold: "1px",
  color: "#000000",
  bgColor: "#ffffff",
  style: "solid",
};

const getModel = () => {
  return {
    id: getElementId(),
    key: randomCode(),
    ...deepCopy(MODEL),
  };
};

export { MODEL, getModel };
